package com.mortals.xhx.tts.utils;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.UUID;

/**
 * @author ZYW
 * @date 2024-07-24 9:20
 */

public class MacAddressReader {
    public static String getMacAddress() {
        try {
            Process process = Runtime.getRuntime().exec("ip link");
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(process.getInputStream()));

            String line;
            while ((line = bufferedReader.readLine()) != null) {
                if (line.contains("link/ether")) {
                    String macAddress = line.split(" ")[1];
                    macAddress = macAddress.trim();
                    macAddress = macAddress.replace(":", "");
                    return macAddress;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return getUUID();
    }

    public static String getUUID(){
        String uuid = null;
        try {
            BufferedReader reader = new BufferedReader(new FileReader("/sys/class/dmi/id/product_uuid"));
            try {
                uuid = reader.readLine();
                System.out.println("Device UUID: " + uuid);
            } finally {
                reader.close();
            }
            return uuid;
        } catch (IOException e) {
            e.printStackTrace();
        }

        return "123456";
    }


    public static void main(String[] args) {
        System.out.println("MAC Address: " + getMacAddress());
    }
}
